#include "Node.h"

Node::Node(void)
{
  int x = CkMyNode();
  CkPrintf("[%d] Node Created square value = %d\n", CkMyNode(), square_(&x));
  CProxy_main mainproxy(mainhandle);
  mainproxy.done();
}

void Node::general(void)
{
  CkPrintf("exclusive entry called.\n");
}

#include "Node.def.h"
